import { mapState } from "vuex";

export default {
  data() {
    return {
      componentName: '',
      theme: 'theme-mall',
    };
  },
  computed: {
    ...mapState({
      custTypeId: (state) => state.custTypeId,
    }),
  },
  mounted() {
    const com = ['purpleCom', 'blueCom', 'greenCom', 'officeBlueCom', 'purpleCom'];
    if ( this.custTypeId < 3 || ! this.custTypeId) {
      this.componentName = 'baseParkingFeeCom';
      this.theme = 'theme-mall'
    } else {
      this.componentName = com[this.custTypeId];
      this.theme = 'theme-office'
    }
  },
}
